@import url(./fonts.css);
@import url(./layout.css);
@import url(./animation.css);

:root {
    --vh: 100%;
    --base-height: 100vh;
    --footer-height: 0;
    --header-height: 0;
    --base-padding: 16px;
    --content-wrapper: 840px;
    --scrollbar-width: 0;
    --fixed-btn: 0;
    --marquee-height: 0;
    --modal-keypad-height: 0;
}
 
html,
body {
    height: 100vh;
    height: var(--vh);
}
 
html,
body,
div,
ul,
li,
p,
h3,
h1,
h2,
h4,
h5 {
    padding: 0;
    margin: 0;
}
ul,
li {
    list-style: none;
}
a {
    text-decoration: none;
    color: #000;
}
optgroup,
select,
button {
    cursor: pointer;
}
input::-webkit-input-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
textarea::-webkit-input-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
input::-ms-input-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
textarea::-ms-input-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
input::-moz-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
textarea::-moz-placeholder {
    color: #d3dde8;
    font-weight: 400;
}
input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px #fff inset;
}
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
}
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
select::-ms-expand {
    display: none;
}
select {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}
img {
    vertical-align: top;
}
body {
    width: 100%;
    position: relative;
    box-sizing: border-box;
    overscroll-behavior-y: none;
}
caption {
    display: none;
}
button,
a {
    touch-action: manipulation;
}
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    -webkit-text-size-adjust: none;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-font-smoothing: antialiased;
    outline: none;
}
* {
    font-family: "Pretendard", -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji",
        "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
    line-height: normal;
    color: #1d222c;
    box-sizing: border-box;
    font-weight: normal;
    word-break: keep-all;
}
i,
em {
    line-height: inherit;
    font-style: normal;
}
.blind {
    font-size: 0 !important;
    color: transparent !important;
}
span,
i,
strong,
q {
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    color: inherit;
    letter-spacing: inherit;
    font-family: inherit;
}
q::before,
q::after {
    content: none;
}
b {
    font-size: inherit;
    font-weight: 700;
    line-height: inherit;
    color: inherit;
    letter-spacing: inherit;
    font-family: inherit;
}
table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
}
button {
    border: none;
    background-color: transparent;
}
#wrap {
    min-height: var(--base-height);
    position: relative;
    overflow: hidden;
}
.aos {
    opacity: 0;
}

.aos.action {
    opacity: 1;
}

/* btn */
.btn-wrap {
    display: flex;
    width: 100%;
    padding-bottom: 32px;
    padding-top: 24px;
    pointer-events: none;
}

.sec-cont--btn-fixed .btn-wrap {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: var(--content-wrapper);
    padding-left: var(--base-padding);
    padding-right: var(--base-padding);
    margin-left: calc(var(--scrollbar-width) * -1);
}

.sec-cont--btn-fixed .btn-wrap.btn-wrap--stand {
    position: static;
    transform: translateX(0);
}

.btn-wrap--no-pd {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.btn-wrap--fixed {
    position: fixed;
    bottom: 0;
    left: 50%;
    width: 100%;
    max-width: var(--content-wrapper);
    transform: translateX(-50%);
    padding-left: var(--base-padding);
    padding-right: var(--base-padding);
}

.btn-wrap > * {
    pointer-events: visible;
}

.btn-wrap > * + * {
    margin-left: 12px;
}

.btn-basic {
    display: block;
    flex: 1;
    height: 56px;
    border-radius: 8px;
    line-height: 56px;
    font-size: 16px;
    text-align: center;
    font-weight: 600;
}

.btn-basic.btn-basic--low {
    height: 48px;
    line-height: 48px;
}

.btn-arrow {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: space-between;
    height: 56px;
    padding: 0 24px;
    border-radius: 8px;
    line-height: 56px;
    font-size: 16px;
    text-align: center;
    font-weight: 600;
}

.btn-arrow::after {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    background-image: url(../img/ico-btn-arrow.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.btn-blue {
    background-color: #465aaa;
    color: #ffffff;
}
.btn-blue2 {
    background-color: #006ADA;
    color: #ffffff;
}

.btn-red {
    background-color: #f05a5a;
    color: #ffffff;
}
.btn-gray {
    background-color: #e8eced;
    color: #747679;
}
.btn-green {
    background-color: #31c957;
    color: #ffffff;
}
.btn-purple {
    background-color: #eeedfa;
    color: #261667;
}
.btn-basic.btn-white {
    background-color: #fff;
    color: #261667;
}
.btn-basic.btn-whitegreen {
    background-color: #fff;
    color: #31C957;
}

.btn-basic.btn-whitered {
    background-color: #fff;
    color: #FD0014;
}

.btn-black {
    background-color: #1d222c;
    color: #fff;
}

.btn-whiteblack {
    background-color: #ffffff;
    color: #000000;
}

.btn-icon {
    display: block;
    width: 30px;
    height: 30px;
    font-size: 0;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.btn-icon--back {
    background-image: url(../img/ico-btn-back.svg);
}

.btn-icon--back-blue {
    background-image: url(../img/ico-btn-back-blue.svg);
}

.btn-icon--menu {
    background-image: url(../img/ico-btn-menu.svg);
}

.btn-icon--home {
    background-image: url(../img/ico-btn-home.svg);
}

.btn-icon--close {
    background-image: url(../img/ico-btn-close.svg);
}

.btn-icon--download {
    background-image: url(../img/ico-btn-download.svg);
}

.btn-icon--call {
    background-image: url(../img/ico-btn-call-blue.svg);
}

.btn-icon--menu-dot {
    background-image: url(../img/ico-btn-menu-dot.svg);
}

.btn-icon--trash {
    background-image: url(../img/ico-smishing-trash.svg);
}

.btn-flex1 {
    flex: 1.1;
}

.btn-flex2 {
    flex: 2;
}

.btn-flex3 {
    flex: 3;
}

a.disabled,
button.disabled {
    pointer-events: none;
    background-color: #cbd0d6;
    color: #ffffff;
}

.btn-text-angle {
    display: inline-block;
    vertical-align: top;
    font-size: 12px;
    line-height: 16px;
    color: #64645f;
    padding-right: 14px;
    position: relative;
}

.btn-text-angle::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    width: 5px;
    height: 10px;
    background-image: url(../img/ico-angle-btn.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.btn-small {
    display: inline-block;
    vertical-align: top;
    padding: 0 6px;
    line-height: 18px;
    font-size: 10px;
    border-radius: 4px;
}

.btn-small.btn-white {
    background-color: #fff;
    color: #747679;
}

.btn-small.btn-gray {
    background-color: #f9f9f9;
    color: #747679;
}

/* marquee */
#marquee {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 60;
}
.marquee {
    white-space: nowrap;
    padding: 10px 0;
    height: 36px;
    font-size: 0;
    background-color: #1d222c;
    width: 100%;
    max-width: var(--content-wrapper);
    overflow: hidden;
    margin: 0 auto;
}

.marquee p {
    line-height: 36px;
    display: inline-block;
    vertical-align: top;
    font-size: 12px;
    line-height: 16px;
    color: #fff;
    animation: marquee 10s linear infinite;
    padding-right: 5px;
}

/* form-basic */
.form-basic__field {
    position: relative;
    display: flex;
    align-items: center;
}

.form-basic__password {
    flex: 1;
}

.form-basic__text {
    flex: 1;
}

.form-basic__search {
    flex: 1;
}

.form-basic__date {
    flex: 1;
    position: relative;
}

.form-basic__sep {
    font-size: 18px;
    line-height: 24px;
    width: 12px;
    text-align: center;
}

.form-basic__gap {
    margin-left: 12px;
}

.form-basic__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    -ms-grid-template-columns: repeat(4, 1fr);
    column-gap: 12px;
    -ms-column-gap: 12px;
}

.form-basic__grid .form-basic__text {
    width: 100%;
}

.form-basic__grid2 {
    grid-column: auto / span 2;
    -ms-grid-column: auto / span 2;
}

.form-basic__row + .form-basic__row {
    margin-top: 12px;
}

.form-basic__select {
    width: 100%;
}

.form-basic__select select {
    width: 100%;
    height: 64px;
    padding: 0 24px;
    border: 1px solid #e8eced;
    border-radius: 8px;
    font-size: 18px;
    font-weight: 700;
    color: #96929d;
    transition: All 0.2s ease-out;
    -webkit-transition: All 0.2s ease-out;
    -moz-transition: All 0.2s ease-out;
    -o-transition: All 0.2s ease-out;
    background-image: url(../img/ico-angle-account.svg);
    background-position: calc(100% - 26px) center;
    background-repeat: no-repeat;
    background-size: 10px auto;
}

.form-basic__select select:focus {
    border-color: #261667;
    background-color: #eeedfa;
}

.form-basic__select select.selected {
    border-color: #261667;
    color: #1d222c;
}

.form-basic__field input[type="text"],
.form-basic__field input[type="date"],
.form-basic__field input[type="password"],
.form-basic__field input[type="number"] {
    width: 100%;
    height: 64px;
    padding: 0 24px;
    border: 1px solid #e8eced;
    border-radius: 8px;
    font-size: 18px;
    font-weight: 700;
    color: #1d222c;
    transition: All 0.2s ease-out;
    -webkit-transition: All 0.2s ease-out;
    -moz-transition: All 0.2s ease-out;
    -o-transition: All 0.2s ease-out;
}

.form-basic__field input[type="password"] {
    padding-right: 60px;
}

.form-basic__field input[type="text"]:focus,
.form-basic__field input[type="date"]:focus,
.form-basic__field input[type="password"]:focus,
.form-basic__field input[type="number"]:focus {
    border-color: #261667;
    background-color: #eeedfa;
}

.form-basic__field input[type="text"]:not(:placeholder-shown),
.form-basic__field input[type="date"]:not(:placeholder-shown),
.form-basic__field input[type="password"]:not(:placeholder-shown),
.form-basic__field input[type="number"]:not(:placeholder-shown) {
    border-color: #261667;
}

.form-basic__field.error input[type="text"],
.form-basic__field.error input[type="date"],
.form-basic__field.error input[type="password"],
.form-basic__field.error input[type="number"] {
    border-color: #fd0014;
    color: #fd0014;
}

.form-basic__field--color-diff select:focus,
.form-basic__field--color-diff input[type="text"]:focus,
.form-basic__field--color-diff input[type="date"]:focus,
.form-basic__field--color-diff input[type="password"]:focus,
.form-basic__field--color-diff input[type="number"]:focus {
    border-color: #006ada;
    background-color: #fff;
    color: #261667;
}

.form-basic__field--color-diff select.selected,
.form-basic__field--color-diff input[type="text"]:not(:placeholder-shown),
.form-basic__field--color-diff input[type="date"]:not(:placeholder-shown),
.form-basic__field--color-diff input[type="password"]:not(:placeholder-shown),
.form-basic__field--color-diff input[type="number"]:not(:placeholder-shown) {
    border-color: #006ada;
    color: #261667;
}

.form-basic__field input + label {
    display: none;
}

.form-basic__text--unit input[type="text"],
.form-basic__text--unit input[type="date"],
.form-basic__text--unit input[type="number"],
.form-basic__text--unit input[type="password"] {
    padding-right: 65px;
}

.form-basic__text--unit {
    position: relative;
}

.form-basic__text-unit {
    position: absolute;
    top: 50%;
    right: 26px;
    transform: translateY(-50%);
    font-size: 18px;
}

.form-basic__btn-search {
    width: 18px;
    height: 18px;
    position: absolute;
    top: 23px;
    right: 24px;
    background-image: url(../img/ico-tool-search.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.form-basic__search input[type="text"],
.form-basic__search input[type="date"],
.form-basic__search input[type="number"],
.form-basic__search input[type="password"],
.form-basic__date input[type="text"],
.form-basic__date input[type="date"],
.form-basic__date input[type="number"],
.form-basic__date input[type="password"] {
    padding-right: 66px;
}

.form-basic__date::after {
    content: "";
    position: absolute;
    width: 16px;
    height: 18px;
    top: 23px;
    right: 26px;
    /*background-image: url(../img/ico-date.svg);*/
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    pointer-events: none;
}

.input-basic--algn-right {
    text-align: right;
}

.form-basic__field .label-basic {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 24px;
    font-size: 14px;
    line-height: 20px;
}

.form-basic__field .label-basic + .input-basic {
    padding-left: 109px;
}

.form-basic__holder {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 64px;
    padding: 0 24px;
    border-radius: 8px;
    font-size: 14px;
    line-height: 64px;
    color: #1d222c;
    pointer-events: none;
}

.form-basic__field input:focus + label + .form-basic__holder,
.form-basic__field input:not(:placeholder-shown) + label + .form-basic__holder {
    display: none;
}

.form-basic {
    width: 100%;
}

.btn-password {
    position: absolute;
    top: 23px;
    right: 24px;
    width: 23px;
    height: 18px;
    background-image: url(../img/ico-eye.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    font-size: 0;
    color: transparent;
}

.btn-password.btn-password--show {
    background-image: url(../img/ico-eye-hide.svg);
}

.form-basic__error {
    margin-top: 6px;
    font-size: 12px;
    line-height: 16px;
    color: #fd0014;
    animation: error 0.2s forwards 2;
    display: none;
}

.error .form-basic__error {
    display: block;
}

.form-basic__label {
    margin-bottom: 12px;
    position: relative;
}

.form-basic__label p {
    font-size: 16px;
    line-height: 22px;
}

.form-basic__label a {
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 13px;
    line-height: 16px;
    text-decoration: underline;
}

.form-basic__row + .form-basic__row .form-basic__label {
    margin-top: 28px;
}

.form-basic__helper {
    margin-top: 12px;
    font-size: 13px;
    line-height: 20px;
    color: #1d222c;
}

.form-basic__noti {
    margin-top: 12px;
    font-size: 12px;
    line-height: 16px;
}

.form-basic__noti span {
    font-weight: 700;
    color: #465aaa;
}

.form-basic__info {
    margin-top: 12px;
    font-size: 13px;
    line-height: 20px;
    color: #64645f;
}

/* comm-title */
.comm-title__title {
    font-size: 20px;
    font-weight: 600;
    line-height: 26px;
    color: #1d222c;
}

.comm-title__title--center {
    text-align: center;
}

.comm-title__title i {
    color: #465aaa;
}

.comm-title__desc {
    margin-top: 16px;
    font-size: 16px;
    line-height: 22px;
    color: #1d222c;
}

.comm-title__sub {
    margin-top: 13px;
    font-size: 14px;
    line-height: 20px;
    color: #747679;
}

.comm-title__sub--center {
    text-align: center;
}

.comm-title__sub .ico-info {
    margin-top: 4px;
    margin-right: 4px;
}

/* numpad */
.numpad {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 700;
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    pointer-events: none;
}

.numpad.open {
    opacity: 1;
    pointer-events: visible;
}

.numpad__cont {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    border-radius: 16px 16px 0 0;
    background-color: #fff;
    padding: 48px 0px 0px;
    display: none;
    animation: showUp 0.3s forwards;
}

.numpad.open .numpad__cont {
    display: block;
}

.numpad__btn-close {
    position: absolute;
    width: 30px;
    height: 30px;
    background-image: url(../img/ico-btn-modal-close.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    top: 16px;
    right: 16px;
}

.numpad__title {
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    color: #1d222c;
    text-align: center;
    margin-bottom: 24px;
}

.numpad__title b {
    font-weight: 600;
    color: #006ada;
}

.numpad__field {
    max-width: 182px;
    width: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
}

.numpad__input {
    border: 1px solid #006ada;
    height: 54px;
    font-size: 24px;
    font-weight: 700;
    line-height: 32px;
    border-radius: 4px;
    width: 100%;
    text-align: center;
}

.numpad__input--small {
    width: 44px;
    margin: 0 auto;
}

.numpad__input--hidden {
    display: none;
}

.numpad__input + label {
    display: none;
}

.numpad__numpad {
    margin: 0 auto;
    margin-top: 24px;
    max-width: 302px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    -ms-grid-template-columns: repeat(3, 1fr);
    column-gap: 34px;
    -ms-column-gap: 34px;
    row-gap: 7px;
    -ms-row-gap: 7px;
    padding-bottom: 48px;
}

.numpad__item {
    height: 48px;
    grid-column: auto / span 1;
    -ms-grid-column: auto / span 1;
}

.numpad__num,
.numpad__refresh,
.numpad__confirm,
.numpad__done,
.numpad__del {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 8px;
}

.numpad__num {
    font-size: 24px;
    font-weight: 700;
}

.numpad__refresh,
.numpad__del {
    font-size: 16px;
    font-weight: 600;
}

.numpad__confirm {
    background-color: #465aaa;
    color: #fff;
    font-size: 16px;
}

.numpad__done {
    background-color: #465aaa;
    color: #fff;
    font-size: 16px;
}

/* phone-overlay */
.phone-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 600;
    display: none;
}

.phone-overlay.open {
    display: block;
}

.phone-overlay__wrapper {
    width: 100%;
    max-width: var(--content-wrapper);
    height: 100%;
    margin: 0 auto;
    backdrop-filter: blur(10px);
    background-color: rgba(0, 0, 0, 0.6);
}

.phone-overlay__dialog {
    position: absolute;
    top: 52px;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - var(--base-padding) * 2);
    max-width: 412px;
    display: flex;
    align-items: center;
    padding: 12px;
    padding-right: 18px;
    background-color: #000000;
    border-radius: 62px;
    opacity: 0;
    animation: showDownCenter 0.6s forwards 0.5s;
    transition: All 0.3s ease-out;
    -webkit-transition: All 0.3s ease-out;
    -moz-transition: All 0.3s ease-out;
    -o-transition: All 0.3s ease-out;
    z-index: 5;
}

.phone-overlay__dialog.hide {
    display: none;
}

.phone-overlay__profile {
    width: 64px;
    height: 64px;
    border-radius: 50%;
}

.phone-overlay__info {
    margin-left: 12px;
}

.phone-overlay__title {
    font-size: 18px;
    font-weight: 600;
    line-height: 24px;
    color: #ffffff;
}

.phone-overlay__desc {
    font-size: 13px;
    line-height: 20px;
    color: #fff;
}

.phone-overlay__call {
    width: 52px;
    height: 52px;
    border-radius: 50%;
    background-image: url(../img/img-circle-phone.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    margin-left: auto;
}

/* comm-tab */
.comm-tab__cont {
    display: none;
}

.comm-tab__cont.current {
    display: block;
}

/* ico-info */
.ico-info {
    display: inline-block;
    vertical-align: top;
    width: 12px;
    height: 12px;
    background-image: url(../img/ico-info.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

/* 주민등록번호 뒷자리(id=res2) 입력 필드의 오른쪽 여백 문제 수정 */
#res2 {
    padding-right: 24px;
}

/* 250923 추가 */
.form-basic__btn-calendar {
  width: 18px;
  height: 18px;
  position: absolute;
  top: 23px;
  right: 24px;
  background-image: url(../img/ico-date.svg); /* 달력 아이콘 */
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  opacity: 0;
  display: none;
}

.form-basic__field input[type="date"],
.input-date {
  text-align: left !important;
  text-align-last: left;      /* 일부 브라우저 보정 */
  direction: ltr;             /* 숫자 정렬 보정 */
}

.form-basic__date::after {
  content: none;
}

.form-basic__field input[type="date"] {
  text-align: left !important;
  text-align-last: left;
}

/* 250923 추가 여기까지 */